export interface CustomRune<T> {
    value: T;
}
export interface PersistRune<T> extends CustomRune<T> {
    cleanup: () => void;
    reset: () => void;
}
export interface PersistOptions<T> {
    storage: Storage;
    serializer: (value: T) => string;
    deserializer: (value: string) => T;
    afterInit: (value: T) => T;
    syncTabs: boolean;
    root: boolean;
}
export declare function persist<T>(key: string, initialValue: T, options?: Partial<PersistOptions<T>>): PersistRune<T>;
